curl -X GET https://api.gmproxys.com/v1/user \
-H "X-API-Key: gm_SUA_CHAVE" \
-H "Content-Type: application/json" \
-d '{
"user_id": "2914"
}'
const response = await fetch("https://api.gmproxys.com/v1/user", {
method: "GET",
headers: {
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
body: JSON.stringify({
user_id: "2914",
}),
});
const data = await response.json();
import requests
response = requests.get(
"https://api.gmproxys.com/v1/user",
headers={
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
json={"user_id": "2914"},
)
print(response.json())
{
"id": 2914,
"login": "82364cb158467f5e5a64",
"password": "ba4d43e7b0ee471c",
"balance": 0,
"balance_format": 0,
"threads": 100,
"allowed_ips": [],
"blocked": false,
"type": "residential",
"default_pool_parameters": {
"countries": ["us"],
"cities": ["newyork", "chicago"],
"states": [],
"exclude_countries": []
},
"blocked_hosts": []
}
{
"success": false,
"message": "Invalid API token."
}
{
"success": false,
"message": "Proxy user not found."
}
Proxy
Proxy Específica
Retorna os detalhes de um usuário da proxy pelo ID.
GET
/
v1
/
user
curl -X GET https://api.gmproxys.com/v1/user \
-H "X-API-Key: gm_SUA_CHAVE" \
-H "Content-Type: application/json" \
-d '{
"user_id": "2914"
}'
const response = await fetch("https://api.gmproxys.com/v1/user", {
method: "GET",
headers: {
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
body: JSON.stringify({
user_id: "2914",
}),
});
const data = await response.json();
import requests
response = requests.get(
"https://api.gmproxys.com/v1/user",
headers={
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
json={"user_id": "2914"},
)
print(response.json())
{
"id": 2914,
"login": "82364cb158467f5e5a64",
"password": "ba4d43e7b0ee471c",
"balance": 0,
"balance_format": 0,
"threads": 100,
"allowed_ips": [],
"blocked": false,
"type": "residential",
"default_pool_parameters": {
"countries": ["us"],
"cities": ["newyork", "chicago"],
"states": [],
"exclude_countries": []
},
"blocked_hosts": []
}
{
"success": false,
"message": "Invalid API token."
}
{
"success": false,
"message": "Proxy user not found."
}
Retorna os detalhes de um usuário da proxy específico através do seu
user_id.
Headers
Sua chave de API no formato
gm_SUA_CHAVE.Body
ID do usuário a ser consultado.
curl -X GET https://api.gmproxys.com/v1/user \
-H "X-API-Key: gm_SUA_CHAVE" \
-H "Content-Type: application/json" \
-d '{
"user_id": "2914"
}'
const response = await fetch("https://api.gmproxys.com/v1/user", {
method: "GET",
headers: {
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
body: JSON.stringify({
user_id: "2914",
}),
});
const data = await response.json();
import requests
response = requests.get(
"https://api.gmproxys.com/v1/user",
headers={
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
json={"user_id": "2914"},
)
print(response.json())
{
"id": 2914,
"login": "82364cb158467f5e5a64",
"password": "ba4d43e7b0ee471c",
"balance": 0,
"balance_format": 0,
"threads": 100,
"allowed_ips": [],
"blocked": false,
"type": "residential",
"default_pool_parameters": {
"countries": ["us"],
"cities": ["newyork", "chicago"],
"states": [],
"exclude_countries": []
},
"blocked_hosts": []
}
{
"success": false,
"message": "Invalid API token."
}
{
"success": false,
"message": "Proxy user not found."
}
⌘I

